<?php

if ($argc != 2) {
	echo "usage : php background.php [exec_minutes]";
	exit;
}
$exec_minutes = $argv[1];
if (ctype_digit($exec_minutes) === false) {
	echo "usage : php background.php [exec_minutes]";
	exit;
}
$filename = date("YmdHis") . ".txt";
if (!$handle = fopen($filename, 'w')) {
	echo "Cannot open file ($filename)";
	exit;
}
$nowseconds = time();
$exec_seconds = $nowseconds + ($exec_minutes * 60);
while (time() < $exec_seconds) {
	sleep(1);
	if (!fwrite($handle, date("Y/m/d H:i:s") . "\n")) {
		echo "Cannot write to file ($filename)";
		exit;
	}
}
fclose($handle);

?>
